HttpResponse::setETag
HttpResponse::setGzip
The HttpResponse
PHP Manual

# HttpResponse::setFile

(PECL pecl_http >= 0.10.0)

HttpResponse::setFile — Set file

### Description

static bool HttpResponse::setFile ( string `$file` )

Set the file to be sent.

> Note: Previously calculated or defined ETag and Last-Modified will be recalculated and redefined.

### Parameters

`file`

  the path to the file to send

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getData - Get data
- HttpResponse::setData - Set data
- HttpResponse::getFile - Get file
- HttpResponse::getStream - Get Stream
- HttpResponse::setStream - Set stream

HttpResponse::setETag
HttpResponse::setGzip
The HttpResponse
PHP Manual